Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.svcmsg
Interface ResponseValues

All Superinterfaces:
  Response, java.io.Serializable

All Known Subinterfaces:
  ResponseEvent, ResponseRef

All Known Implementing Classes:
  SvcMsgResponseEvent, SvcMsgResponseFullRef, SvcMsgResponseRef, SvcMsgResponseValues

public interface ResponseValues
extends Response

This interface extends `Response` and adds ability to marshal various data values with it.

Method Summary
`boolean[]` | `getBooleanValues()` Returns the boolean array data in this response.
`int[]` | `getIntValues()` Returns the int array data in this response.
`long[]` | `getLongValues()` Returns the long array data in this response.
`java.lang.Object[]` | `getObjectValues()` Returns the object array data in this response.
`ResponseValues` | `setBooleanValues(boolean[] values)` Sets the boolean array for this response.
`ResponseValues` | `setIntValues(int[] values)` Sets the int array for this response.
`ResponseValues` | `setLongValues(long[] values)` Sets the long array for this response.
`ResponseValues` | `setObjectValues(java.lang.Object[] values)` Sets the object array for this response.

Methods inherited from interface oracle.svcmsg.Response
`getName, getOperation`

Method Detail

### getIntValues

    public int[] getIntValues()

  Returns the int array data in this response.
  Returns:
    the int array. May return `null` if this response has no int array.

### setIntValues

    public ResponseValues setIntValues(int[] values)

  Sets the int array for this response.
  Parameters:
    `values` - the int array.
  Returns:
    `this` object.

### getLongValues

    public long[] getLongValues()

  Returns the long array data in this response.
  Returns:
    the long array. May return `null` if this response has no long array.

### setLongValues

    public ResponseValues setLongValues(long[] values)

  Sets the long array for this response.
  Parameters:
    `values` - the long array.
  Returns:
    `this` object.

### getBooleanValues

    public boolean[] getBooleanValues()

  Returns the boolean array data in this response.
  Returns:
    the boolean array. May return `null` if this response has no boolean array.

### setBooleanValues

    public ResponseValues setBooleanValues(boolean[] values)

  Sets the boolean array for this response.
  Parameters:
    `values` - the boolean array.
  Returns:
    `this` object.

### getObjectValues

    public java.lang.Object[] getObjectValues()

  Returns the object array data in this response.
  Returns:
    the object array. May return `null` if this response has no object array.

### setObjectValues

    public ResponseValues setObjectValues(java.lang.Object[] values)

  Sets the object array for this response.
  Parameters:
    `values` - the object array.
  Returns:
    `this` object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.